VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Static Public Member Functions | Protected Types | Protected Attributes | List of all members
Factory Class Reference
Version 4.1

Bitmap Filter Factory. More...

## Public Member Functions
uint32_t | getNumFilters () const
IdStringPtr | getFilterName (uint32_t index) const
IFilter * | createFilter (IdStringPtr name) const
bool | registerFilter (IdStringPtr name, IFilter::CreateFunction createFunction)
bool | unregisterFilter (IdStringPtr name, IFilter::CreateFunction createFunction)

## Static Public Member Functions
static Factory & | getInstance ()

## Protected Types
using | FilterMap = std::map< std::string, IFilter::CreateFunction >

## Protected Attributes
FilterMap | filters

## Detailed Description

Bitmap Filter Factory.

See VSTGUI::BitmapFilter::Standard for a description of included Filters

## Member Typedef Documentation

using FilterMap = std::map<std::string, IFilter::CreateFunction>
| protected

## Member Function Documentation

IFilter * createFilter | ( | IdStringPtr | name | ) | const

IdStringPtr getFilterName | ( | uint32_t | index | ) | const

Factory & getInstance | ( |  | ) |
| static

uint32_t getNumFilters | ( |  | ) | const

bool registerFilter | ( | IdStringPtr | name,
|  | IFilter::CreateFunction | createFunction
| ) |  |

bool unregisterFilter | ( | IdStringPtr | name,
|  | IFilter::CreateFunction | createFunction
| ) |  |

## Member Data Documentation

FilterMap filters
| protected

The documentation for this class was generated from the following files:

- cbitmapfilter.h
- cbitmapfilter.cpp